[arvados-workbench2] created: 2.7.0-169-g7b9b34fc
git repository hosting
git at public.arvados.org
Tue Oct 24 14:08:27 UTC 2023
at 7b9b34fce607cd1785c2029f9b8dc316153f3d10 (commit)
commit 7b9b34fce607cd1785c2029f9b8dc316153f3d10
Author: Lucas Di Pentima <lucas.dipentima at curii.com>
Date: Tue Oct 24 10:57:46 2023 -0300
21118: Attempts to avoid the 'error obtaining VCS status' issue.
Arvados-DCO-1.1-Signed-off-by: Lucas Di Pentima <lucas.dipentima at curii.com>
diff --git a/Makefile b/Makefile
index a5da3246..6a174bcf 100644
--- a/Makefile
+++ b/Makefile
@@ -68,7 +68,7 @@ arvados-server-install: check-arvados-directory
go mod download
cd cmd/arvados-server
echo GOPATH is $(GOPATH)
- go install
+ GOFLAGS=-buildvcs=false go install
cd -
ls -l $(GOPATH)/bin/arvados-server
$(GOPATH)/bin/arvados-server install -type test
diff --git a/tools/run-integration-tests.sh b/tools/run-integration-tests.sh
index 1f2b7c5e..132b0e53 100755
--- a/tools/run-integration-tests.sh
+++ b/tools/run-integration-tests.sh
@@ -96,9 +96,9 @@ fi
echo "Building & installing arvados-server..."
cd ${ARVADOS_DIR}
-go mod download || exit 1
+GOFLAGS=-buildvcs=false go mod download || exit 1
cd cmd/arvados-server
-go install
+GOFLAGS=-buildvcs=false go install
cd -
echo "Installing dev dependencies..."
commit 1d6706fd7ae3f1c69508b1c25afccd85f6362e34
Author: Lucas Di Pentima <lucas.dipentima at curii.com>
Date: Fri Oct 20 12:04:51 2023 -0300
21118: Calls arvados-server from GOPATH instead of assuming root home dir.
Arvados-DCO-1.1-Signed-off-by: Lucas Di Pentima <lucas.dipentima at curii.com>
diff --git a/Makefile b/Makefile
index 2ca5e79a..a5da3246 100644
--- a/Makefile
+++ b/Makefile
@@ -36,6 +36,7 @@ DEB_FILE=$(APP_NAME)_$(VERSION)-$(ITERATION)_amd64.deb
# redHat package file
RPM_FILE=$(APP_NAME)-$(VERSION)-$(ITERATION).x86_64.rpm
+GOPATH=$(shell go env GOPATH)
export WORKSPACE?=$(shell pwd)
.PHONY: help clean* yarn-install test build packages packages-with-version integration-tests-in-docker
@@ -66,10 +67,11 @@ arvados-server-install: check-arvados-directory
cd $(ARVADOS_DIRECTORY)
go mod download
cd cmd/arvados-server
+ echo GOPATH is $(GOPATH)
go install
cd -
- ls -l ~/go/bin/arvados-server
- ~/go/bin/arvados-server install -type test
+ ls -l $(GOPATH)/bin/arvados-server
+ $(GOPATH)/bin/arvados-server install -type test
yarn-install: arvados-server-install
yarn install
-----------------------------------------------------------------------
hooks/post-receive
--
More information about the arvados-commits
mailing list